#include "testlib.h"
#include <set>

using namespace std;

const int MAX_N = int(1e5);
const int MAX_K = int(1e9);
const int MAX_X = int(1e9);

int main() {
  registerValidation();
    
  int n = inf.readInt(3, MAX_N);
  inf.readSpace();
  inf.readInt(1, MAX_K);
  inf.readEoln();
  set<int> xs;
  for (int i = 0; i < n; ++i) {
    if (i) {
      inf.readSpace();
    }
    int x = inf.readInt(1, MAX_X);
    ensure(xs.find(x) == xs.end());
    xs.insert(x);
  }
  inf.readEoln();
  inf.readEof();
  return 0;
}
